Package com.tick42.glue.desktop.layouts

# Enum LayoutType

java.lang.Object
java.lang.Enum<LayoutType>
com.tick42.glue.desktop.layouts.LayoutType

All Implemented Interfaces:
  `Serializable`, `Comparable<LayoutType>`

    public enum LayoutType
    extends Enum<LayoutType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ACTIVITY` |
  `APPLICATION_DEFAULT` |
  `GLOBAL` |
  `SWIMLANE` |
  `WORKSPACES` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static LayoutType` | `fromString​(String name)` |
  `String` | `getName()` |
  `static LayoutType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static LayoutType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GLOBAL

    public static final LayoutType GLOBAL

  - ### ACTIVITY

    public static final LayoutType ACTIVITY

  - ### APPLICATION_DEFAULT

    public static final LayoutType APPLICATION_DEFAULT

  - ### SWIMLANE

    public static final LayoutType SWIMLANE

  - ### WORKSPACES

    public static final LayoutType WORKSPACES

- ## Method Details

  - ### values

    public static LayoutType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LayoutType valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()

  - ### fromString

    public static LayoutType fromString​(String name)